Behind the Blackboard! Collaborate - Known Issue: Chrome and Firefox Browsers Blocking SAS Java Applets - Behind the Blackboard Skip Navigation
Download PDF  Icon Download PDF    Print article

Collaborate - Known Issue: Chrome and Firefox Browsers Blocking SAS Java Applets

Date Published: Mar 10,2017


Category:Product:SAS; Version:SAS
Article No.: 000040427
Product:
Collaborate -SAS
Service Pack(s):
SAS
Issue Description:
Google Chrome "Version 42.0.2311.90" or greater and Firefox Version 52 or greater will not load the Java Applets used in the SAS (Session Administration System).

Symptoms:

Users are unable to access any feature inside the SAS login.

Important Update:
As of  September 1 ,2015 Google Chrome, "Version 45.0.2454.85 has permanently stopped supporting NPAPI browser plugins. This includes the use of Java in the web browser as well as most media player plugins. Before this date, it is possible to configure Chrome to allow this content; after this date, it will no longer be possible to use these plugins. The new Edge browser from Microsoft also does not support NPAPI plugins.

Important Update:

Mozilla has announced that Firefox will stop supporting NPAPI plugins as of March 7th, 2017 with the release of Firefox Version 52.

Chrome screenshot:

User-added image
If you mouse over the puzzle icon, it will read "This plug-in is not supported"


Firefox Screenshot:

User-added image
 

Affected Platforms

All Windows, Mac and Linux Operating Systems using the following Web Browsers:
  • Google Chrome "Version 42.002311.90m" or greater
  • Firefox version 52 or greater
  • Microsoft Edge browser.

Cause:

As of September 1, 2015 Google Chrome"Version 45.0.2454.85", has permanently stopped allowing NPAPI plugins to run in the web browser.  
Mozilla has announced that it will stop supporting NPAPI plugins as of March 7th, 2017 with the release of Firefox Version 52.
This includes the Java applets that the SAS uses as well as any NPAPI plugin.  More information can be found on the 
Google Chrome Support site. 
Google Chrome version 42

Resolution/Workaround:

Resolution / Workaround

Blackboard Collaborate Support recommends you use a different Web Browsers to workaround this issue. Below are the Blackboard Collaborate Supported Web Browsers that still allow the Java NPAPI plugin: For Mozilla Firefox, you could download here the ESR (Extended Support Release) 52 version according to your operating system that supports Java NPAPI plugin. Please note that ESR Firefox version 52 is supported until early 2018.

Important: The Windows 64-bit version of Firefox 52 ESR only supports the Adobe Flash and Microsoft Silverlight plugins. Please choose the Windows (32-bit) download here that supports Java NPAPI plugin.
   









The information contained in the Knowledge Base was written and/or verified by Blackboard Support. It is approved for client use. Nothing in the Knowledge Base shall be deemed to modify your license in any way to any Blackboard product. If you have comments, questions, or concerns, please send an email to kb@blackboard.com. © 2017 Blackboard Inc. All rights reserved